gamemoded(8)

NAME
gamemoded - daemon that optimises system performance on demand

SYNOPSIS
gamemoded [OPTIONS...]

DESCRIPTION
GameMode is a daemon/lib combo for Linux that allows games to request a set of optimisations be temporarily applied to the host OS. The design has a clear cut abstraction between the host daemon and library (gamemoded and libgamemode), and the client loaders (libgamemodeauto and gamemode_client.h) that allows for safe usage without worrying about whether the daemon is installed or running. This design also means that while the host library currently relies on systemd for exchanging messages with the daemon, it's entirely possible to implement other internals that still work with the same clients. GameMode was designed primarily as a stop-gap solution to problems with the Intel and AMD CPU powersave or ondemand governors, but is intended to be expanded beyond just CPU governor states, as there are a wealth of automation tasks one might want to apply.

OPTIONS

-r[PID], --request=[PID]
    Toggle gamemode for process. When no PID given, requests gamemode and pauses

-s[PID], --status=[PID]
    Query the status of gamemode for process When no PID given, queries the status globally

-d, --daemonize
    Run the daemon as a separate process (daemonize it)

-l, --log-to-syslog
    Log to syslog

-h, --help
    Print help text

-t, --test
    Run diagnostic tests on the current installation

-v, --version
    Print the version

USAGE
libgamemodeauto.so.0 can be pre-loaded into any program to request gamemoded begin or end the mode. See gamemoderun(1) for details. The gamemode_client.h header can be used by developers to build the requests into a program:
    #include "gamemode_client.h"
        if( gamemode_request_start() < 0 ) {
            fprintf( stderr, "gamemode request failed: %s\n", gamemode_error_string() )
        }
        /* run the process */
        /* Not required, gamemoded can clean up after game exits */
        gamemode_request_end();
Atlernatively developers can define GAMEMODE_AUTO to mimic the behaviour of libgamemodeauto.so.0:
    #define GAMEMODE_AUTO
    #include "gamemode_client.h"
Or, distribute libgamemodeauto.so.0 and either link with -lgamemodeauto or inject it as above with LD_PRELOAD.

CONFIG
gamemoded will load and merge gamemode.ini config files from these directories in the following order:
    @SYSCONFDIR@/
    /etc/
    $XDG_CONFIG_HOME or $HOME/.config/
    $PWD
Behaviour of the config file can be explained by presenting a commented example:
    @GAMEMODE_EXAMPLE_CONFIG@

SEE ALSO
gamemoderun(1), systemd(1)

ABOUT
GameMode source can be found at https://github.com/FeralInteractive/gamemode.git

AUTHOR
Feral Interactive (linux-contact@feralinteractive.com)